Bug 1828476 (CVE-2020-10718) - CVE-2020-10718 wildfly: exposed setting of TCCL via the EmbeddedManagedProcess API
Summary: CVE-2020-10718 wildfly: exposed setting of TCCL via the EmbeddedManagedProces...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10718
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1812160
TreeView+ depends on / blocked
 
Reported: 2020-04-27 19:20 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-09-09 05:32 UTC (History)
81 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Wildfly, where the embedded managed process API has an exposed setting of the Thread Context Classloader (TCCL). This setting is exposed as a public method, which can bypass the security manager. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2020-08-17 15:16:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3461 None None None 2020-08-17 13:28:46 UTC
Red Hat Product Errata RHSA-2020:3462 None None None 2020-08-17 13:30:59 UTC
Red Hat Product Errata RHSA-2020:3463 None None None 2020-08-17 13:34:30 UTC
Red Hat Product Errata RHSA-2020:3464 None None None 2020-08-17 13:26:28 UTC
Red Hat Product Errata RHSA-2020:3501 None None None 2020-08-18 16:35:45 UTC
Red Hat Product Errata RHSA-2020:3539 None None None 2020-09-02 09:47:56 UTC
Red Hat Product Errata RHSA-2020:3637 None None None 2020-09-07 12:57:01 UTC
Red Hat Product Errata RHSA-2020:3638 None None None 2020-09-07 13:03:12 UTC
Red Hat Product Errata RHSA-2020:3639 None None None 2020-09-07 12:59:58 UTC
Red Hat Product Errata RHSA-2020:3642 None None None 2020-09-07 13:08:08 UTC

Description Guilherme de Almeida Suckevicz 2020-04-27 19:20:17 UTC
The embedded managed process API has two methods exposed as public methods which can bypass the security manager.

Comment 4 Ted (Jong Seok) Won 2020-05-07 06:18:57 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Operations Network 3

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 9 Guilherme de Almeida Suckevicz 2020-08-06 14:34:21 UTC
Acknowledgments:

Name: James R. Perkins (Red Hat)

Comment 11 errata-xmlrpc 2020-08-17 13:26:23 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:3464 https://access.redhat.com/errata/RHSA-2020:3464

Comment 12 errata-xmlrpc 2020-08-17 13:28:41 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2020:3461 https://access.redhat.com/errata/RHSA-2020:3461

Comment 13 errata-xmlrpc 2020-08-17 13:30:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2020:3462 https://access.redhat.com/errata/RHSA-2020:3462

Comment 14 errata-xmlrpc 2020-08-17 13:34:25 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2020:3463 https://access.redhat.com/errata/RHSA-2020:3463

Comment 15 Product Security DevOps Team 2020-08-17 15:16:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10718

Comment 16 errata-xmlrpc 2020-08-18 16:35:40 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.2

Via RHSA-2020:3501 https://access.redhat.com/errata/RHSA-2020:3501

Comment 19 errata-xmlrpc 2020-09-02 09:47:50 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:3539 https://access.redhat.com/errata/RHSA-2020:3539

Comment 20 errata-xmlrpc 2020-09-07 12:56:56 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:3637 https://access.redhat.com/errata/RHSA-2020:3637

Comment 21 errata-xmlrpc 2020-09-07 12:59:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:3639 https://access.redhat.com/errata/RHSA-2020:3639

Comment 22 errata-xmlrpc 2020-09-07 13:03:05 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:3638 https://access.redhat.com/errata/RHSA-2020:3638

Comment 23 errata-xmlrpc 2020-09-07 13:08:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:3642 https://access.redhat.com/errata/RHSA-2020:3642


Note You need to log in before you can comment on or make changes to this bug.